# redirect /gbdb access to local directory first and fallback to UCSC
# add the trailing slash
gbdbLoc1=/data/gbdb/
gbdbLoc2=http://hgdownload.soe.ucsc.edu/gbdb/

# read mysql data first from localhost and fallback to UCSC
db.host=localhost
db.user=root
db.password=browser
db.socket=/var/run/mysqld/mysqld.sock
slow-db.host=genome-mysql.soe.ucsc.edu
slow-db.user=genomep
slow-db.password=password

# use a table cache to speed up remote queries
showTableCache=tableList

# the rnaPlot binary is for the hgGene page
rnaPlotPath=/usr/local/bin/RNAplot

# galaxy and great cannot work from the box
hgta.disableSendOutput=yes

# redirect links to Encode PDF files back to UCSC
hgEncodeVocabDocBaseUrl=http://genome.ucsc.edu

# add a gbib specific html style
browser.style=/style/gbib.css

# use 2bit files instead of nib
forceTwoBit=yes

# allow hgMirror to run on this machine
allowHgMirror=yes

# various changes, e.g.
# - Table Browser paste identifiers does not try to sample rows
# - css/js lookup accepts -vxxx files
# - hgNear deactivates itself
isGbib=yes

# activate CRAM support. See root's crontab for the fetchCramReference.sh script
# the does the actual downloading
cramRef=/data/cramCache

# temporary fix for genbank problems, not needed after 
# around August 2016
genbankDb=hgFixed

# Aug 2016: switch off https for hgLogin. This is because v337
# defaults to https but the virtualbox configuration of existing
# GBIBs has the SSL port not forwarded. #17778, #17906
login.https=off

###########################################################
# Config file for the UCSC Human Genome server
#
# the format is in the form of name/value pairs
# written 'name=value' (note that there is no space between
# the name and its value.
#
#	This file last updated:
#	$Id: ex.hg.conf,v 1.27 2010/06/10 05:16:06 markd Exp $
#

# if your MySQL system is configured for a different socket connection,
# use the following variables to override the MySQL defaults:
# db.socket=/var/lib/mysql/mysql.sock
# db.port=3306
# *!# NOTE: the port override will only work when host is *not* localhost
#	when localhost is used, MySQL may connect via shared memory
#	connections and not via TCP/IP socket ports

# if you want a different default species selection on the Gateway
# page, change this default Human to one of the genomes from the
#	defaultDb table in hgcentral:
#	hgsql -e "select genome from defaultDb;" hgcentral
# If you need a different version of that specific genome, change
#	the defaultDb table entry, for example, a different mouse genome
#	version as default:
#	hgsql -e 'update defaultDb set name="mm8" where genome="Mouse"
#	then this defaultGenome would read: defaultGenome=Mouse
#
defaultGenome=Human

# trackDb table to use. A simple value of `trackDb' is normally sufficient.
# In general, the value is a comma-separated list of trackDb format tables to
# search.  This supports local tracks combined with a mirror of the trackDb
# table from UCSC. The names should be in the form `trackDb_suffix'. This
# implies a parallel hgFindSpec format search table exists in the form
# hgFindSpec_suffix.  The specified trackDb tables are searched in the order
# specified, with the first occurance of a track being used.  You may associate
# trackDb/hgFindSpec tables with other instances of genome databases using a
# specification of dbProfile:trackDbTbl, where dbProfile is the name of a
# databases profile in hg.conf, and trackDbTbl is the name of the table in the
# remote databases.  See below for details of dbProfile
#
db.trackDb=trackDb
#db.trackDb=trackDb_local,trackDb
#db.trackDb=db:trackDb

# track group table definitions.  This is a comma-seperate list similar to
# db.trackDb that defines the track group tables.  Database profiles
# may alow be included using the syntax dbProfile:grpTbl.
db.grp=grp
#db.grp=grp_local,grp
#db.grp=grp,someDbProfile:grp

#  New browser function as of June 2012:
#
#  The UCSC genome browser is using new hgLogin CGI to replace
#  sign-in service provided by genomewiki previously.
#
# To maintain backward compatibility, the hgLogin CGI
# reuse most of the genomewiki related configuration parameters such as
# host and cookie names. This design make transition from genomewiki
# to hgLogin transparent. For current mirror sites with sign-in function
# (via a simulated- or locally-installed mediawiki server), as long as
# hgLogin is not enabled, all browser functions and current sign-in
# functions will work as before. Please refer to
#
# http://genomewiki.ucsc.edu/index.php/Enabling_hgLogin
#
# for more details.
#
#  To enable the hgLogin function, set the following 8 parameters as
#  described below:
#  login.systemName:  must be set to some name to enable hgLogin CGI.
#  wiki.host:  should be set to the host that running the hgLogin CGI.
#              The host should be in the same domain as value set in
#              "central.domain".
#  Set the values of the two cookies to value exactly the same as below.

# required to use hgLogin
login.systemName=Browser-in-a-Box
# url to server hosting hgLogin
wiki.host=HTTPHOST
# Arbitrary name of cookie holding user name
wiki.userNameCookie=gbibUser
# Arbitrary name of cookie holding user id
wiki.loggedInCookie=gbibUserId

# The following 4 parameters are used for UI headings (browserName) and
# necessary text string used in emails send out to user.
# You should set them to any appropriate local values.

# title of host of browser, this text be shown in the user interface of
# the login/sign up screens
login.browserName=Browser-in-a-Box
# base url of browser installed
login.browserAddr=http://127.0.0.1:1234
# signature written at the bottom of hgLogin system emails
login.mailSignature=None
# from/return email address used for system emails
login.mailReturnAddr=NOEMAIL

# The following 6 parameters are used to set up your browser to accept user suggestions.
# After a user submits a suggestion, both the user and the suggestion admin address below
# will receive an email containing the suggestion.
# email address for the suggestion admin
#suggest.mailToAddr=suggestion@myuniversitysoe.edu
# sender address for the suggestion email
#suggest.mailFromAddr=browserAdministrator@mylab.university.edu
# Keyword in the mail subject line to help filter out spam
#suggest.filterKeyword=FORYOUREYESONLY
## signature written at the bottom of suggestion emails
#suggest.mailSignature=My Lab browser administrator
# contact address for suggestion follow up
#suggest.mailReturnAddr=browserAdministrator@mylab.university.edu
# browser name used in emails
#suggest.browserName=myLab Genome Browser


# The following instructions for using genomewiki has been replaced by the
# new hgLogin function as describe above. The section are preserved here
# to serve as a reference for the current mirror site using locally
# installed mediawiki for the sign-in function.
#  New browser function as of March 2007, allowing saved genome browser
#	sessions into genomewiki.  These Cookie names depend upon how
#	your wiki is configured.  The wiki system constructs the cookie
#	names from its own variables $wgDBname and $wgDBprefix
#	You can find these in your LocalSettings.php, if $wgDbprefix
#	is not null the cookie name is: $wgDBname_$wgDBprefix_UserName
#	if wgDbprefix is null then simply: $wgDBname_UserName
#	same pattern for _UserID and __session below
#	The example here is for $wgDBName=wikidb and $wgDBprefix=mw1
# wiki.host=genomewiki.ucsc.edu
# wiki.userNameCookie=wikidb_mw1_UserName
# wiki.loggedInCookie=wikidb_mw1_UserID
#	You will need to create the namedSessionDb table in your hgcentral db:
#	hgsql hgcentral < yourSourceTree/src/hg/lib/namedSessionDb.sql
#  See notes about this in the source tree: src/hg/wikiMods/

# wikiTrack function turned on 2009 (this only works if you operate a
#               local instance of MediaWiki, see also ../hg/wikiMods/ )
#    session cookie is used during wiki page edits
# wiki.sessionCookie=wikidb_mw1__session
#    URL is the wiki location for the article pages
#    wikiTrack.URL=http://genomewiki.ucsc.edu
#    browser to return to from wiki created pages
# wikiTrack.browser=genome.soe.ucsc.edu
#	You will need to create the namedSessionDb table in your hgcentral db:
#	hgsql hgcentral < yourSourceTree/src/hg/lib/namedSessionDb.sql
#  See notes about this in the source tree: src/hg/wikiMods/

#  List of wiki user names that have super user edit privileges
#	to wiki track items.  Currently this is only a delete item privilege.
# wikiTrack.editors=Hiram
#    List of databases to enable the wikiTrack function
# wikiTrack.dbList=hg18,mm9,hg19

#  New browser function as of April 2007, custom track data is kept
#	in a database instead of in trash files.  This function requires
#	several other factors to be in place before it will work.
#  This was an optional feature for quite some time in 2007 and 2008,
#	but it is now mandatory.  The older file-based trash system will
#	appear to work, but it does not operate properly, and can not
#	operate some of the newer types of custom tracks.
#
#	See also:
#	http://genomewiki.ucsc.edu/index.php?title=Using_custom_track_database
#  Use these settings to provide host, user, and password settings
customTracks.host=localhost
customTracks.user=root
customTracks.socket=/var/run/mysqld/mysqld.sock
customTracks.password=browser
customTracks.useAll=yes
customTracks.tmpdir=/usr/local/apache/trash/customTrash
#	tmpdir of /data/tmp is the default location if not specified here
#	Set this to a directory as recommended in the genomewiki
#	discussion mentioned above.

# self destruct option June 2011.  To avoid problem of lost long running
#	CGI processes.  Default CGI expiration time is 20 minutes,
#	enable cgiExpireMinutes to change that default.
#	A time of 0 indicates no expiration time.  positive integer only
# browser.cgiExpireMinutes=20

# default for cgiTime printout to Apache error_log is "yes"
# uncomment this cgiTime=no option to turn off the printouts to error_log
# browser.cgiTime=no

# New browser function as of March 2007.  Future browser code will
#	have this on by default, and can be turned off with =off
#   Initial release of this function requires it to be turned on here.
browser.indelOptions=on
# There are additional fonts available, not all are perfect.
# Uncomment this to see extra font selections in the configure page
# fonts.extra=yes

# central.host is the name of the host of the central MySQL
# database where stuff common to all versions of the genome
# and the user database is stored.
central.db=hgcentral
central.host=localhost
#
# Be sure this user has UPDATE AND INSERT privs for hgcentral
#	The central.domain will allow the browser cookie-cart
#	function to work.  Set it to the domain of your Apache
#	WEB server.  For example, if your browser URL is:
#	http://mylab.university.edu/cgi-bin/hgTracks?db=hg19
#	set central.domain to: mylab.university.edu
#	An exception to this is when multiple virtual hosts share the
#	same central database and central.cookie setting (see below).
#	In #that case, domain should be inclusive of all virtual hosts
#	(e.g. only #.university.edu).
#
central.user=root
central.password=browser
central.socket=/var/run/mysqld/mysqld.sock
central.domain=HTTPHOST
# use this cookie setting to keep your installation hguid cookie setting
#	distinct from UCSC hguid cookie.  If you have *multiple* central
#	databases for multiple hosts, set a distinct cookie name per
#	central database.
# central.cookie=hguid.mylab
#	personalize the background of the browser with a specified jpg
#	floret.jpg is the standard UCSC default
browser.background=../images/floret.jpg

# Change this default documentRoot if different in your installation,
#	to allow some of the browser cgi binaries to find help text files
browser.documentRoot=/usr/local/apache/htdocs
#	personalize the background of CGIs that don't use images
#browser.bgcolor=FFF9D2

# optional location of grepIndex files
#grepIndex.genbank=/data/tmp/grepIndex
#grepIndex.default=/gbdb

#  new option for track reording functions, August 2006
hgTracks.trackReordering=on
#	in case of failure of the above central.host machine,
#	the following settings will be used to access a secondary
#	mirror of the database
backupcentral.db=hgcentral
backupcentral.host=localhost
backupcentral.user=root
backupcentral.password=browser
##	archivecentral settings are used for archived assemblies
#	that have been moved to a different machine.
#archivecentral.db=hgcentral
#archivecentral.host=localhost
#archivecentral.user=readwrite
#archivecentral.password=update

# Bottleneck info for taming hyperactive web bots
# bottleneck.host=yourHost
# bottleneck.port=17776

# directory for temporary bbi file caching, default is /tmp/udcCache
# see also: README.udc
udc.cacheDir=/data/trash/udcCache
# it is OK to specify udc.cachDir=../trash/udcCache
# to place it in trash.

# enable local file access for custom tracks
# By default you have to supply http:// URLs for custom track data, e.g. in bigDataUrls
# With this statement, you can allow loading from local files, as long as the path
# starts with a specific prefix
udc.localDir=/folders

# Parallel fetching of remote network resources using bigDataUrl such
#       as trackHubs and customTracks
# how many threads to use (set to 0 to disable)
parallelFetch.threads=12
# how long to wait in seconds for parallel fetch to finish
parallelFetch.timeout=90

# An include directive can be used to read text from other files.  this is
# especially useful when there are multiple browsers hidden behind virtual
# hosts.  The path to the include file is either absolute or relative to
# the including file (*not* relative to the current direct directory).
#   include ../cgi-bin-default/hg.conf

# A delete directive can be used to delete previouly defined values.
# this is useful in conjunction with include when an undefined
# value has different meaning than an empty value:
#   delete archivecentral.db [othervars ...]

# Option to disable the "All Tables" query in the table browser.  Useful if
# one wants to be restrictive about what tables can be seen.
#   hgta.disableAllTables=yes


# If this option is enabled, the browser CGIs will attempt to generate a an
# stack traceback on error and dump it to stderr (which is normally captured
# in the web server error log).  This requires the pstack package to be
# install, which is available on for unix and linux systems.  If
# signalsHandler is enabled, the stack will also be printed when a signal
# indicating an error occurs.
#browser.dumpStack=on
#noSqlInj.dumpStack=on
# log signals
#   signalsHandler=on

#  turn on google analytics by setting this key.  This is the identifier
#	specified by your analytics account
#  set key for analytics account, used in the getTracker(key) function
#  analyticsKey=<your analytics key>

# These settings enable geographic allele frequency images on the
# details pages for the HGDP Allele Frequency (hgdpGeo) track.
# (HGDP = Human Genome Diversity Project)
# Programs required for per-SNP geographic maps of HGDP population
# allele frequencies:
#hgc.psxyPath=/usr/lib/gmt/bin/psxy
#hgc.ps2rasterPath=/usr/lib/gmt/bin/ps2raster
hgc.ghostscriptPath=/usr/bin/ghostscript

# Customize your downloads.server machine name here
#	This can be used in track html description pages when they use
#	the variable downloadsServer
# Also used by Encode tracks
# downloads.server=<your download server machine>

# enable user specific javascript
# browser.javaScriptDir=js/<your logname>

# enable user specific style directory (CSS files)
# browser.styleDir=style-public

# enable user specific style/images directory
# browser.styleImagesDir=style/images-public

# enable user specific trix file for track search tool
# does substitution on the $db variable
# browser.trixFile=/gbdb/$db/trackDb.ix

# enable http(s) proxy support in net.c
#httpProxy=http://someProxyServer:443/
# if proxy server needs BASIC authentication
#httpProxy=http://user:password@someProxyServer:443/

##
# Database profiles
##
#   The dbProfile facility provides a limited mechanism for access tracks from
# multiple database servers.  This is particularly useful when a mirror server
# contains the majority of the track data needs to be shared by multiple
# groups with a small number of locally produced tracks that they the need to
# keep isolated from the other groups.  A dbProfile associates a MySQL host,
# user, and password with a dbProfile name.  To define a dbProfile named
# myProfile, define the hg.conf variables:
#
#    myProfile.host
#    myProfile.user
#    myProfile.host
#
# The default profile is named `db', and is defined by the `db.*' variables
# described above.  The `customTracks.*' and `central.*' variables also define
# profiles.
#
# Profiles can be associated with an entire genome databases or some types of
# tables.  To associated with a database, myGenome with myProfile, define the
# variable:
#     myGenome.profile=myProfile
#
# A dbProfile may be associated with a trackDb/hgFindSpec table pair or a grp
# table as described in the `db.trackDb' and `db.grp' variables above.  To
# associate a particular track table, specify the "dbProfile" setting in the
# trackDb entry:
#
#    track myTrack
#    ...
#    dbProfile myProfile
#
# Note that dbProfile only works on a small number of track types and is not
# well tested.  In general, the dbProfile facility has not been widely use and
# may still contain bugs.  The recommended approach for setting up a
# remote/local server pair is to use the default profile for the remote server
# with the majority of tracks, and use a non-default profile for local tracks
# and trackDb tables.  A common configuration would be:

#db.host=oursharedhost
#db.user=readonly
#db.password=access
#
#myStuff.host=localhost
#myStuff.user=readonly
#myStuff.password=access
#
#db.trackDb=myStuff:trackDb,trackDb
#db.grp=myStuffgrp,grp
#

##
# Track Data Hub related conf variables
##
# email address that appears in the hgHubConnect CGI
#hub.emailAddress=browserAdministrator@mylab.university.edu
# to use something other than "hubPublic" for the hubPublic table
#hub.publicTableName=alternateHubPublicTable
# to use something other than "hubStatus" for the hubStatus table
#hub.statusTableName=alternateHubStatusTable
# time in seconds to wait before re-trying a hub with error status
# default is 30 minutes (1800 seconds)
#hub.timeToCheck=1800
JKSQL_TRACE=on
JKSQL_PROF=on

include hg.conf.local

# Display phylogenetic tree in hgGateway (URL relative to cgi-bin)
hgGateway.dbDbTaxonomy=../js/dbDbTaxonomy.js

# Enable FreeType fonts
freeType=on
freeTypeDir=/usr/share/fonts/type1/gsfonts

# prefix to genark hubs
genarkHubPrefix=https://hgdownload.soe.ucsc.edu/hubs

